List registry artifacts
curl --request GET \
--url https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/repositories/{repository_name}/artifacts \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/repositories/{repository_name}/artifacts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/repositories/{repository_name}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"digest": "sha256:5414002a0c147f8e41da0d0764b5074480012852d5d9a0ef8bd2fec904e62b7c",
"id": 1,
"pulled_at": "2024-06-18T09:36:53.335000Z",
"pushed_at": "2024-06-18T09:36:53.335000Z",
"registry_id": 1,
"repository_id": 1,
"size": 1,
"tags": [
{
"artifact_id": 1,
"id": 1,
"name": "v0.0.1",
"pulled_at": "2024-06-18T09:36:53.335000Z",
"pushed_at": "2024-06-18T09:36:53.335000Z",
"repository_id": 5
},
{
"artifact_id": 1,
"id": 2,
"name": "latest",
"pulled_at": "2024-06-18T09:36:53.335000Z",
"pushed_at": "2024-06-18T09:36:53.335000Z",
"repository_id": 5
}
]
}
]
}Registry
List registry artifacts
List all artifacts in a specific repository.
GET
/
cloud
/
v1
/
registries
/
{project_id}
/
{region_id}
/
{registry_id}
/
repositories
/
{repository_name}
/
artifacts
List registry artifacts
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Registry ID
Repository name If it contains slash, encode it with URL encoding. e.g. a/b -> a%252Fb
Query Parameters
Limit the number of returned items
Offset value is used to exclude the first set of records from the result
Was this page helpful?
⌘I